%global srcname itsdangerous

Name:           python-%{srcname}
Version:        0.23
Release:        %mkrel 3
Summary:        Various helpers to pass trusted data to untrusted environments and back

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/itsdangerous
Source0:        https://pypi.python.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Various helpers to pass trusted data to untrusted environments and back

%package -n python3-%{srcname}
Summary:        Python 3 library for passing trusted data to untrusted environments
Group:          Development/Python

%description -n python3-%{srcname}
Itsdangerous is a Python 3 library for passing data through untrusted 
environments (for example, HTTP cookies) while ensuring the data is not 
tampered with.

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
PYTHONPATH=%{buildroot}%{python_sitelib} %{__python} tests.py

pushd %{py3dir}
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests.py
popd


%files
%{python_sitelib}/%{srcname}*

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}*.egg-info
%{python3_sitelib}/__pycache__/%{srcname}*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.23-3.mga4
+ Revision: 543580
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.23-2.mga4
+ Revision: 498763
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.23-1.mga4
+ Revision: 497593
- Update to 0.23
- add Python 3

* Tue Jul 30 2013 neoclust <neoclust> 0.22-1.mga4
+ Revision: 460862
- imported package python-itsdangerous

